from enum import IntEnum

class EnableStatus(IntEnum):
    """任务启用状态枚举"""
    DISABLED = 0  # 未启用
    ENABLED = 1   # 已启用


class PeriodicTaskStatus(IntEnum):
    """周期任务状态枚举"""
    NON_PERIODIC = 0  # 非周期任务 
    PERIODIC = 1      # 周期任务

class TaskStatusEnum(IntEnum):
    """任务状态枚举"""
    PENDING = 0  # 待执行
    RUNNING = 1  # 运行中

class TaskTypeEnum(IntEnum):
    """任务类型枚举"""
    NORMAL = 1  # 普通任务
    PERIODIC = 2  # 周期任务



